Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003313TestLinkIntegration with Other Systemspublic2010-03-21 05:372013-05-20 19:50
Reportergiulix 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 Beta 3 
Fixed in Version1.9.7 (2013 Q2 - bug fixing) 
Summary0003313: Contribution: Porting of Trac interface to new XML-RPC library
DescriptionSince IXR Inutio, the XML-RPC library currently used for Trac integration, is no loger maintained and a new XML-RPC library is being introduced in Testlink, the old Trac plugin interface has been ported to the new XML-RPC library
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserFirefox 3..5.8
PHP Version5.3.2
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Fileszip file icon testlink-trac_new.zip [^] (10,626 bytes) 2010-03-21 05:37

- Relationships

-  Notes
(0009476)
fman (administrator)
2010-03-21 18:53

would you mind to explain better ?
TestLink uses
IXR - The Inutio XML-RPC Library - (c) Incutio Ltd 2002-2005
Version 1.7 (beta) - Simon Willison, 23rd May 2005
(0009477)
giulix (reporter)
2010-03-21 21:24

Yes, maybe I'm assuming too much... I noticed that Testlink 1.9 comes with the phpxmlrpc library in ../third_party/phpxmlrpc. Now, there are 2 XML-RPC libraries: The one you mentioned in your note for Trac integration (in ../third_party/xml-rpc) and the phpxmlrpc library that, if I have understood correctly, will be used for integration TO Testlink. Is Testlink going to use 2 different XML-RPC libraries?
(0009478)
fman (administrator)
2010-03-21 21:34

we have two different libraries used on two different features.
I can agree with you that this is not a very 'nice' approach.
inutio has been used to develop the TL API XML-RPC.
Right now I do not remember when we have used the other.
(0009479)
giulix (reporter)
2010-03-21 21:36

I see, so the Inutio XML-RPC library is the one currently used. Please disregard this issue, then.

- Issue History
Date Modified Username Field Change
2010-03-21 05:37 giulix New Issue
2010-03-21 05:37 giulix File Added: testlink-trac_new.zip
2010-03-21 05:37 giulix Browser => Firefox 3..5.8
2010-03-21 05:37 giulix PHP Version => 5.3.2
2010-03-21 18:53 fman Note Added: 0009476
2010-03-21 21:24 giulix Note Added: 0009477
2010-03-21 21:34 fman Note Added: 0009478
2010-03-21 21:36 giulix Note Added: 0009479
2013-05-20 19:50 fman QA Team - Task Workflow Status => READY FOR TESTING
2013-05-20 19:50 fman Status new => closed
2013-05-20 19:50 fman Assigned To => fman
2013-05-20 19:50 fman Resolution open => fixed
2013-05-20 19:50 fman Fixed in Version => 1.9.7 (2013 Q2 - bug fixing)



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker